Browser support on Loco2

Loco2 no longer supports Internet Explorer 10 or below. If you use one of these browsers you will see the below message, and some things may not function properly during the search and booking process.

We took this decision after Microsoft (the creators of Internet Explorer) decided to stop supporting older versions of Internet Explorer.

If you don't know which broswer you are using, you might find these tools helpful to identify your browser and update it:

For the best user experience on Loco2 we recommend using Google Chrome, which is free and works on all major operating systems.

Still need help? Contact Us Contact Us